<%

' ***********************************************************
' This generates the link and script tags for the Rico client
' ***********************************************************

Dim jsDir,cssDir,imgDir,transDir,baselibsDir
Dim ricoLib,ricoTheme,ricoLogging
const grid_striping = true     ' apply row striping to LiveGrids?
const checkQueryString = true  ' load settings from QueryString? true for demo, false for production
const LoadBaseLib = true       ' load base Javascript library (prototype, jQuery, etc) from Rico directory?
const jQuery_theme_path = "http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/themes/"


jsDir="../../ricoClient/js/"       ' directory containing Rico's javascript files
cssDir="../../ricoClient/css/"     ' directory containing Rico's css files
imgDir="../../ricoClient/images/"  ' directory containing Rico's image files
transDir=jsDir & "translations/"
baselibsDir=jsDir & "baselibs/"


if checkQueryString then
  ricoLib=LCase(Request.QueryString("lib"))
  ricoTheme=trim(Request.QueryString("theme"))
  ricoLogging=CBool(trim(Request.QueryString("log")) <> "")
else
  ' set your production values here
  ricoLib="proto"    ' base library (proto, jquery, moo, dojo, ext, or glow)
  ricoTheme="j-ui-lightness"  ' jquery themes start with j-, rico themes start with r-
  ricoLogging=false
end if

SetConfig
LoadLib ricoLib, LoadBaseLib
setLang
if ricoTheme<>"" then
  LoadTheme ricoTheme
end if


' initialize Rico
sub SetConfig()
  Response.Write vbLf & "<script type='text/javascript'>"
  Response.Write vbLf & "Rico_CONFIG = {"
  if ricoLogging then Response.Write vbLf & "enableLogging: true,"
  Response.Write vbLf & "jsDir: '" & jsDir & "',"
  Response.Write vbLf & "cssDir: '" & cssDir & "',"
  Response.Write vbLf & "imgDir: '" & imgDir & "'"
  Response.Write vbLf & "};"
  Response.Write vbLf & "</script>"
end sub


sub LoadLib(baseLib, baseLoadFlag)
  dim baseFile,adapter
  select case baseLib
    case "proto":
      baseFile="prototype"
      adapter="2Proto"
    case "jquery":
      baseFile="jquery"
      adapter="2jQuery"
    case "moo":
      baseFile="mootools"
      adapter="2Moo"
    case "dojo":
      baseFile="dojo"
      adapter="2Dojo"
    case "ext":
      baseFile="ext-core"
      adapter="2Ext"
    case "glow":
      baseFile="glow.core"
      adapter="2Glow"
    case else:
      Response.End
  end select

  if baseLoadFlag then Response.Write vbLf & "<script src='" & baselibsDir & baseFile & ".js' type='text/javascript'></script>"
  requireRicoJS ""
  requireRicoJS adapter
  Response.Write vbLf & "<script src='" & transDir & "ricoLocale_en.js' type='text/javascript'></script>"
  requireRicoCSS "rico"
  requireRicoJS "UI"
end sub



' -------------------------------------------------------------
' Check languages accepted by browser
' and see if there is a match
' -------------------------------------------------------------
sub setLang()
  dim fso,lang,lang2,fname,i
  
  Set fso=Server.CreateObject("Scripting.FileSystemObject")
  lang=lcase(Request.ServerVariables("HTTP_ACCEPT_LANGUAGE"))
  arLang=split(lang,",")
  for i=0 to ubound(arLang)
    lang2=lcase(left(trim(arLang(i)),2))
    if lang2="en" then exit for
    fname=transDir & "ricoLocale_" & lang2 & ".js"
    if fso.FileExists(Server.MapPath(fname)) then
      Response.Write "<script src='" & fname & "' type='text/javascript'></script>"
      exit for
    end if
  next
  set fso=nothing
end sub


' set theme
' "j-ui-lightness" for a Themeroller theme
' "r-greenHdg" for a native Rico theme
sub LoadTheme(theme)
  dim prefix,themeFile
  prefix=left(theme,1)
  themeFile=mid(theme,3)
  select case prefix
    case "j":
      requireRicoJS "Themeroller"
      Response.Write vbLf & "<link type='text/css' rel='stylesheet' href='" & cssDir & "jquery-base/ui.base.css' />"
      Response.Write vbLf & "<link type='text/css' rel='Stylesheet' href='" & jQuery_theme_path & themeFile & "/jquery-ui.css' />"
    case "r":
      requireRicoCSS themeFile
  end select
  if grid_striping then Response.Write vbLf & "<link type='text/css' rel='stylesheet' href='" & cssDir & "striping/" & themeFile & ".css' />"
end sub


sub requireRicoJS(filename)
  Response.Write vbLf & "<script src='" & jsDir & "rico" & filename & ".js' type='text/javascript'></script>"
end sub


sub requireRicoCSS(filename)
  Response.Write vbLf & "<link href='" & cssDir & filename & ".css' type='text/css' rel='stylesheet' />"
end sub

%>
