<%@ LANGUAGE="VBSCRIPT" %>
<% Response.CacheControl = "no-cache" %>
<% Response.AddHeader "Pragma", "no-cache" %> 
<% Response.Expires = -1 %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-Example 2 (editable)</title>

<!-- #INCLUDE FILE = "dbConnect.asp" --> 
<!-- #INCLUDE FILE = "../../plugins/asp/ricoLiveGridForms.vbs" --> 
<!-- #INCLUDE FILE = "../../plugins/asp/ricoResponse.vbs" --> 
<link href="../demo.css" type="text/css" rel="stylesheet" />
<%
'************************************************************************************************************
'  LiveGrid Forms Example, without using session variables
'************************************************************************************************************
'  Matt Brown
'************************************************************************************************************
dim oXmlResp

if OpenGridForm(empty,"Orders") then
  select case oForm.action
    case "table":
      ' let rest of script be processed
    case "query":
      DefineFields
      set oXmlResp=new ricoXmlResponse
      oXmlResp.ProcessQuery oForm.gridID, oForm.SqlSelectData, Empty
      set oXmlResp=Nothing
      response.end
    case else:
      DefineFields
      oForm.DisplayPage
      response.end
  end select
end if
%>

<!-- #INCLUDE FILE = "LoadRicoClient.asp" --> 


<script type='text/javascript'>
Rico.loadModule('LiveGridForms','Calendar','Tree');

// ricoLiveGridForms will call orders_FormInit right before grid & form initialization.

function orders_FormInit() {
  var cal=new Rico.CalendarControl("Cal");
  Rico.EditControls.register(cal, Rico.imgDir+'calarrow.png');
  
  var CustTree=new Rico.TreeControl("CustomerTree","CustTree.asp");
  Rico.EditControls.register(CustTree, Rico.imgDir+'dotbutton.gif');
}
</script>
<style type="text/css">
div.ricoLG_outerDiv thead .ricoLG_cell, div.ricoLG_outerDiv thead td, div.ricoLG_outerDiv thead th {
	height:1.5em;
}
div.ricoLG_cell {
  white-space:nowrap;
}
</style>
</head>


<body>


<table id='explanation' border='0' cellpadding='0' cellspacing='5' style='clear:both'><tr valign='top'><td>
Base Library: <script type='text/javascript'>document.write(Rico.Lib+' '+Rico.LibVersion);</script>
<hr>The data on this grid can be edited using pop-up forms. 
Just click on a grid cell and then select Edit, Delete, or Add from the pop-up menu. 
The Add and Edit forms are automatically generated by LiveGrid. 
Notice on the Add form how you use the Rico Tree control to select the customer. 
Notice on the Edit form how the Rico Calendar is used to change dates. 
Updates are disabled on the database, so you will get an error message if you try to save.
</td><td>
<script type='text/javascript'><!--
google_ad_client = 'pub-7218597156507462';
/* 125x125, created 5/11/09 */
google_ad_slot = '9298106441';
google_ad_width = 125;
google_ad_height = 125;
//-->
</script>
<script type='text/javascript' src='http://pagead2.googlesyndication.com/pagead/show_ads.js'></script>
</td></tr></table>

<p><strong>Orders Table</strong></p>

<%
DefineFields
oForm.DisplayPage
'response.write "<p><textarea id='orders_debugmsgs' rows='5' cols='80' style='font-size:smaller;'></textarea>"
CloseApp


sub DefineFields()
  dim colnum,LookupSQL
  'oForm.options("showSaveMsg")="full"
  oForm.options("FilterLocation")=-1
  'oForm.DebugFlag=true
  oForm.options("panelWidth")=500
  oForm.options("frozenColumns")=1
  oForm.options("menuEvent")="click"
  oForm.options("highlightElem")="cursorRow"
  oForm.options("XMLprovider")=Request.ServerVariables("SCRIPT_NAME")
  oForm.sessions=false
  
  oForm.AddPanel "Basic Info"
  oForm.AddEntryFieldW "OrderID","Order ID","B","<auto>",50
  oForm.ConfirmDeleteColumn
  oForm.SortAsc

  LookupSQL="select CustomerID,CompanyName from Customers order by CompanyName"
  oForm.AddLookupField "CustomerID",empty,"CustID","Customer","CL","",LookupSQL
  oForm.LookupField("SelectCtl")="CustomerTree"
  oForm.LookupField("InsertOnly")=true   ' do not allow customer to be changed once an order is entered
  oForm.CurrentField("width")=160
  oForm.CurrentField("filterUI")="t"

  LookupSQL="select EmployeeID," & oDB.concat(Array("LastName","', '","FirstName"),false) & " from Employees order by LastName,FirstName"
  oForm.AddLookupField "EmployeeID",empty,"EmployeeID","Sales Person","SL","",LookupSQL
  oForm.CurrentField("width")=140
  oForm.CurrentField("filterUI")="m"

  oForm.AddEntryFieldW "OrderDate","Order Date","D",Date(),90
  oForm.CurrentField("SelectCtl")="Cal"
  oForm.AddEntryFieldW "RequiredDate","Required Date","D",Date(),90
  oForm.CurrentField("SelectCtl")="Cal"
  oForm.AddCalculatedField "select sum(UnitPrice*Quantity*(1.0-Discount)) from order_details d where d.OrderID=t.OrderID","Net Sale"
  oForm.CurrentField("format")="DOLLAR"
  oForm.CurrentField("width")=80

  oForm.AddPanel "Ship To"
  oForm.AddEntryFieldW "ShipName","Name","B","",140
  oForm.AddEntryFieldW "ShipAddress","Address","B","",140
  oForm.AddEntryFieldW "ShipCity","City","B","",120
  oForm.CurrentField("filterUI")="s"
  oForm.AddEntryFieldW "ShipRegion","Region","T","",60
  oForm.AddEntryFieldW "ShipPostalCode","Postal Code","T","",100
  
  ' display ShipCountry with a link to wikipedia
  colnum=oForm.AddEntryFieldW("ShipCountry","Country","N","",100)
  oForm.CurrentField("control")="new Rico.TableColumn.link('http://en.wikipedia.org/wiki/{" & colnum & "}','_blank')"
  oForm.CurrentField("filterUI")="s"
end sub

%>

</body>
</html>
