<%@ Page Language="VB" ResponseEncoding="iso-8859-1" Debug="true" validateRequest="false" %>
<%@ Register TagPrefix="Rico" TagName="LiveGrid" Src="../../plugins/dotnet/LiveGrid.ascx" %>
<%@ Register TagPrefix="Rico" TagName="Column" Src="../../plugins/dotnet/GridColumn.ascx" %>
<%@ Register TagPrefix="Rico" TagName="Panel" Src="../../plugins/dotnet/GridPanel.ascx" %>
<%@ Register TagPrefix="Rico" TagName="sqlCompatibilty" Src="../../plugins/dotnet/sqlCompatibilty.ascx" %>
<%@ Register TagPrefix="My" TagName="LoadRicoClient" Src="LoadRicoClient.ascx" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />


<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  Session.Timeout=60
  dim arEmpSql as string() = {"LastName","', '","FirstName"}
  dim oSqlCompat=new sqlCompatibilty(app.dbDialect)
  ex8.columns(ex8.ColIndex("EmployeeID")).SelectSql="select EmployeeID," & oSqlCompat.Concat(arEmpSql,false) & " from employees order by LastName,FirstName" 
  app.OpenGridForm(ex8)
End Sub

Protected Overrides Sub Render(writer as HTMLTextWriter)
  select case ex8.action
    case "table": MyBase.Render(writer)
    case "ins":   ex8.InsertRecord(writer)
    case "upd":   ex8.UpdateRecord(writer)
    case "del":   ex8.DeleteRecord(writer)
  end select
End Sub

</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-Example 2 (editable)</title>

<My:LoadRicoClient id='initlibs' runat='server' modules='Calendar,Tree' />
<link href="../demo.css" type="text/css" rel="stylesheet" />

<script type='text/javascript'>

// ricoLiveGridForms will call orders_FormInit right before grid & form initialization.

function ex8_FormInit() {
  var cal=new Rico.CalendarControl("Cal");
  Rico.EditControls.register(cal, Rico.imgDir+'calarrow.png');
  
  var CustTree=new Rico.TreeControl("CustomerTree","CustTree.aspx");
  Rico.EditControls.register(CustTree, Rico.imgDir+'dotbutton.gif');
}
</script>

<style type="text/css">
div.ricoLG_outerDiv thead .ricoLG_cell, div.ricoLG_outerDiv thead td, div.ricoLG_outerDiv thead th {
	height:1.5em;
}
div.ricoLG_cell {
  white-space:nowrap;
}
</style>
</head>


<body>

<table id='explanation' border='0' cellpadding='0' cellspacing='5' style='clear:both'><tr valign='top'><td>
Base Library: <script type='text/javascript'>document.write(Rico.Lib+' '+Rico.LibVersion);</script>
<hr>The data on this grid can be edited using pop-up forms. 
Just click on a grid cell and then select Edit, Delete, or Add from the pop-up menu. 
The Add and Edit forms are automatically generated by LiveGrid. 
Notice on the Add form how you use the Rico Tree control to select the customer. 
Notice on the Edit form how the Rico Calendar is used to change dates. 
Updates are disabled on the database, so you will get an error message if you try to save.
</td><td>
<script type='text/javascript'><!--
google_ad_client = 'pub-7218597156507462';
/* 125x125, created 5/11/09 */
google_ad_slot = '9298106441';
google_ad_width = 125;
google_ad_height = 125;
//-->
</script>
<script type='text/javascript' src='http://pagead2.googlesyndication.com/pagead/show_ads.js'></script>
</td></tr></table>
<p><strong>Orders Table</strong></p>


<Rico:LiveGrid runat='server' id='ex8' formView='true' TableName='orders' DefaultSort='OrderID' FilterLocation='-1'>
<GridColumns>
  <Rico:Panel runat='server' heading='Basic Info' />
  <Rico:Column runat='server' heading='Order#'        width='60'  ColName='OrderID'      EntryType='B' ColData='<auto>' ConfirmDeleteColumn='true' />
  <Rico:Column runat='server' heading='Customer'      width='160' ColName='CustomerID'   EntryType='CL' InsertOnly='true' SelectCtl='CustomerTree' SelectSql="select CustomerID,CompanyName from customers order by CompanyName" filterUI='t' />
  <Rico:Column runat='server' heading='Sales Person'  width='140' ColName='EmployeeID'   EntryType='SL' filterUI='m' />
  <Rico:Column runat='server' heading='Order Date'    width='100' ColName='OrderDate'    EntryType='D' ColData='Today' SelectCtl='Cal' />
  <Rico:Column runat='server' heading='Required Date' width='100' ColName='RequiredDate' EntryType='D' ColData='Today' SelectCtl='Cal' />
  <Rico:Column runat='server' heading='Net Sale'      width='80'  format='DOLLAR'        Formula='select sum(UnitPrice*Quantity*(1.0-Discount)) from order_details d where d.OrderID=t.OrderID' />

  <Rico:Panel runat='server' heading='Ship To' />
  <Rico:Column runat='server' heading='Name'        width='150' ColName='ShipName'       EntryType='B' />
  <Rico:Column runat='server' heading='Address'     width='150' ColName='ShipAddress'    EntryType='B' />
  <Rico:Column runat='server' heading='City'        width='120' ColName='ShipCity'       EntryType='B' filterUI='m' />
  <Rico:Column runat='server' heading='Region'      width='80'  ColName='ShipRegion'     EntryType='T' />
  <Rico:Column runat='server' heading='Postal Code' width='80'  ColName='ShipPostalCode' EntryType='T' />
  <Rico:Column runat='server' heading='Country'     width='90'  ColName='ShipCountry'    EntryType='N' filterUI='s' control="new Rico.TableColumn.link('http://en.wikipedia.org/wiki/{11}','_blank')" />
</GridColumns>
</Rico:LiveGrid>

</body>
</html>
