<%@ Page Language="VB" ResponseEncoding="iso-8859-1" Debug="true" %>
<%@ Register TagPrefix="Rico" TagName="SimpleGrid" Src="../../plugins/dotnet/SimpleGrid.ascx" %>
<%@ Register TagPrefix="Rico" TagName="Column" Src="../../plugins/dotnet/GridColumn.ascx" %>
<%@ Register TagPrefix="My" TagName="LoadRicoClient" Src="LoadRicoClient.ascx" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  dim category,lastCategory,Discounts,Gross,subtotals(1),grandtotals(1),i
  dim command,rdr

  if not app.OpenDB() then exit sub
  
  for i=0 to 1
    grandtotals(i)=0
  next

  ' define heading
  ex1.AddHeadingRow(true)
  ex1.AddCell("Product")
  ex1.AddCell("Gross Sales")
  ex1.AddCell("Discounts")
  ex1.AddCell("Net Sales")
  ex1.AddCell("Avg Discount")

  command = app.dbConnection.CreateCommand()
  command.CommandText="select CategoryName,ProductName, " & _
    "SUM(od.UnitPrice*Quantity) as GrossSales, " & _
    "SUM(od.UnitPrice*Quantity*Discount) as Discounts " & _
    "from ((Order_Details od " & _
    "inner join Products p on p.ProductID=od.ProductID) " & _
    "inner join Categories c on p.CategoryID=c.CategoryID) " & _
    "group by CategoryName,ProductName " & _
    "order by CategoryName,ProductName"
  rdr = command.ExecuteReader()
  while rdr.Read()
    category=rdr("CategoryName")
    Gross=rdr("GrossSales")
    Discounts=rdr("Discounts")
    if category<>lastCategory then
      if not IsNothing(lastCategory) then
        AddRow("Subtotal",subtotals(0),subtotals(1))
        ex1.SetRowAttr("class","Subtotal")
      end if
      ex1.AddDataRow
      ex1.SetRowAttr("class","CatHead")
      ex1.AddCell(category)
      ex1.AddCell("")
      ex1.AddCell("")
      ex1.AddCell("")
      ex1.AddCell("")
      for i=0 to 1
        subtotals(i)=0
      next
      lastCategory=category
    end if
    subtotals(0)+=Gross
    grandtotals(0)+=Gross
    subtotals(1)+=Discounts
    grandtotals(1)+=Discounts
    AddRow(rdr("ProductName"),Gross,Discounts)
  end while
  rdr.Close()
  if not IsNothing(lastCategory) then
    AddRow("Subtotal",subtotals(0),subtotals(1))
    ex1.SetRowAttr("class","Subtotal")
  end if
  AddRow("Grand Total",grandtotals(0),grandtotals(1))
  ex1.SetRowAttr("class","GrandTotal")
End Sub

sub AddRow(ProductName as String, Gross as Double, Discounts as Double)
  dim pct as double
  ex1.AddDataRow()
  ex1.AddCell(ProductName)
  ex1.AddCell("$" & FormatNumber(Gross,0,-1,0,-1))
  ex1.AddCell("$" & FormatNumber(Discounts,0,-1,0,-1))
  ex1.AddCell("$" & FormatNumber(Gross-Discounts,0,-1,0,-1))
  pct=Discounts/Gross
  ex1.AddCell(pct.toString("0%"))
end sub

Protected Overrides Sub Render(writer as HTMLTextWriter)
  select case lcase(Request.QueryString("fmt"))
    case "xl":  ex1.RenderExcel("rico.xls")
    case "csv": ex1.RenderDelimited("rico.csv", ",", "")
    case else:  MyBase.Render(writer)   ' output html
  end select
End Sub

</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico SimpleGrid-Example 1</title>

<My:LoadRicoClient id='initlibs' runat='server' />
<link href="../demo.css" type="text/css" rel="stylesheet" />


<script type='text/javascript'>
Rico.loadModule('SimpleGrid');

Rico.onLoad( function() {
  if (!Rico.isIE) document.getElementById('owc').disabled=true;
});

function ExportGridClient(ExportType) {
  ex1['grid'].printVisible(ExportType);
}

function ExportGridServer(ExportType) {
  if (Rico.isIE) {
    location.href+='&fmt='+ExportType;
  } else {
    window.open(location.href+'&fmt='+ExportType);
  }
}
</script>

<style type="text/css">
.CatHead {
  background:blue;
  color:white;
  font-weight:bold !important;
}
.Subtotal {
  background:#888;
  color:white;
  font-weight:bold !important;
}
.GrandTotal {
  background:black;
  color:white;
  font-weight:bold !important;
}
div.ricoLG_cell {
  white-space:nowrap;
}
</style>

</head>

<body>

<table id='explanation' border='0' cellpadding='0' cellspacing='5' style='clear:both'><tr valign='top'><td>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
<p><strong>Rico: SimpleGrid</strong></p>
<p>Rico's SimpleGrid is an unbuffered grid - all data exists in the DOM.
It shares many of the same characteristics as Rico's better known LiveGrid.
SimpleGrids have resizable columns, frozen columns on the left, and can use the
same CSS styling as LiveGrids. Sorting and filtering can also be enabled
at the developer's discretion. Unlike LiveGrids, each cell in a SimpleGrid
can be formatted individually.
</td>
<td>
<script type="text/javascript"><!--
google_ad_client = "pub-7218597156507462";
/* 125x125, created 5/11/09 */
google_ad_slot = "9298106441";
google_ad_width = 125;
google_ad_height = 125;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</td>
</tr></table>


<div>
<button onclick="ExportGridClient('plain')">Export from client<br>to HTML Table</button>
<button onclick="ExportGridClient('owc')" id="owc">Export from client<br>to OWC spreadsheet</button>
<button onclick="ExportGridServer('xl')">Export from server<br>to Excel</button>
<button onclick="ExportGridServer('csv')">Export from server<br>to CSV</button>
</div>

<Rico:SimpleGrid runat='server' id='ex1' FrozenCols='1'>
<GridColumns>
  <Rico:Column runat='server' width='200' />
  <Rico:Column runat='server' spec='specQty' />
  <Rico:Column runat='server' spec='specQty' />
  <Rico:Column runat='server' spec='specQty' />
  <Rico:Column runat='server' spec='specQty' />
</GridColumns>
</Rico:SimpleGrid>

</body>
</html>

